// 手机号脱敏
import dayjs from "dayjs";

export function hidePhone(phone: string) {
    return phone.replace(/^(\d{3}).*(\d{4})$/, '$1****$2')
}

// 身份证脱敏
export function hideIDCard(idCard: string) {
    return idCard.replace(/^(.{6}).*(.{4})$/, '$1********$2')
}

export function formatDatetime(timestamp: number | string) {
    const timeStr = String(timestamp);
    return dayjs(Number(timeStr + (timeStr.length == 10 ? '000' : ''))).format('YYYY-MM-DD HH:mm:ss');
}